Skip to main content
GET
Get the on-chain ERC-20 balance of an address

Authorizations

Authorization
string
header
required

OAuth 2.0 authorization and token endpoints

Query Parameters

token_address
string
required

The ERC-20 token contract address

Example:

"0xa0b86991c6218b36c1d19d4a2e9eb0ce3606eb48"

owner
string
required

The address owning the tokens

Example:

"0x8ba1f109551bd432803012645ac136ddd64dba72"

chain
string
required

The EVM chain to read from, e.g. ethereum_mainnet, ethereum_sepolia, base_mainnet or base_sepolia

Example:

"ethereum_sepolia"

Response

Successful response.

Current on-chain ERC-20 balance of an owner address.

balance
string
required

The balance as a uint256 decimal string in the token's smallest unit

Example:

"1000000"

object
enum<string>
required

String representing the object's type. Objects of the same type share the same value.

Available options:
token_balance